Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1988902 - Add macros.build-constraints
Summary: Add macros.build-constraints
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Lind
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1982748
TreeView+ depends on / blocked
 
Reported: 2021-08-02 04:30 UTC by Michel Lind
Modified: 2023-09-15 01:13 UTC (History)
10 users (show)

Fixed In Version: redhat-rpm-config-183-3.fc34 redhat-rpm-config-176-3.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-30 21:30:36 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Michel Lind 2021-08-02 04:30:11 UTC
Add macros.build-constraints for https://fedoraproject.org/wiki/Changes/MemoryConstraintsMacros

Comment 1 Fedora Update System 2021-08-02 04:31:48 UTC
FEDORA-2021-a5cd9680ba has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-a5cd9680ba

Comment 2 Fedora Update System 2021-08-02 04:31:50 UTC
FEDORA-2021-7c42e41506 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-7c42e41506

Comment 3 Fedora Update System 2021-08-03 01:44:40 UTC
FEDORA-2021-7c42e41506 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-7c42e41506`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-7c42e41506

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-08-03 01:51:02 UTC
FEDORA-2021-a5cd9680ba has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-a5cd9680ba`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-a5cd9680ba

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Ben Cotton 2021-08-10 13:33:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 6 Panu Matilainen 2021-08-11 11:38:34 UTC
This is severely broken.

For starters, it breaks debuginfo processing. For a simple reproducer, take "popt" package from dist-git, add "%limit_build" (also reproduced with "%limit_build -m 8192" etc) to top of %build and try to build. It consistently fails with:

> Processing files: popt-debugsource-1.18-6.fc35.x86_64
> error: Empty %files file /builddir/build/BUILD/popt-1.18/debugsourcefiles.list

Similar results with the other package I tested with. 

AFAICS it simply breaks all other uses of %_smp_build_ncpus (whether in spec or rpm internally) outside the spec section where it appears:

'%global _smp_build_ncpus "${_cur_max_jobs}"' gets "executed" during *spec parse*, and at that time there's never any _cur_max_jobs environment variable around. That will only be available during the execution of the shell section where the macro was called, ie %build. It will again go defunct when the build moves on the %install and later, which do various amount of parallel processing all hooked on that variable.

This needs to be reverted before it gets shipped anywhere in this condition.

Comment 7 Fedora Update System 2021-08-15 22:58:55 UTC
FEDORA-2021-9042da4d79 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-9042da4d79

Comment 8 Fedora Update System 2021-08-15 22:58:57 UTC
FEDORA-2021-127aaf73b9 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-127aaf73b9

Comment 9 Fedora Update System 2021-08-16 01:07:53 UTC
FEDORA-2021-9042da4d79 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-9042da4d79`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-9042da4d79

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-08-16 01:13:03 UTC
FEDORA-2021-127aaf73b9 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-127aaf73b9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-127aaf73b9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Panu Matilainen 2021-08-16 08:28:55 UTC
NAK, this is a bad design, see https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/CWQIAKEI6Q7VJJWNGFSRW7ZR47RLFLGY/

Please DO NOT submit updates to stable releases before we've agreed upon an implementation and the dust settles in rawhide. That would be closer to final freeze of F35.

Comment 12 Fedora Update System 2021-08-24 03:32:53 UTC
FEDORA-2021-9042da4d79 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Panu Matilainen 2021-08-24 08:46:17 UTC
And so the bad design that requires adding ugly crap to %make_build went into production :(

Comment 14 Ankur Sinha (FranciscoD) 2021-08-24 09:03:08 UTC
Uh, I'd given the update negative karma to ensure it wouldn't go stable initially, but I missed the second set of updates.

Michel, can you please take a look and make the necessary fixes here? There do still seem to be issues with this implementation?

Comment 15 Fedora Update System 2021-08-30 21:30:36 UTC
FEDORA-2021-127aaf73b9 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Red Hat Bugzilla 2023-09-15 01:13:03 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 500 days


Note You need to log in before you can comment on or make changes to this bug.